For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • GETList client data lists
      • POSTUpdate a client data list by ID
      • POSTUpdate a client data list by external ID
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIClient Data Lists

Update a client data list by external ID

POST
https://api.yunojuno.com/client_data_lists/by_external_id/:external_id/
POST
/client_data_lists/by_external_id/:external_id/
$curl -X POST https://api.yunojuno.com/client_data_lists/by_external_id/external_id/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data_list_options": [
> {
> "value": "string",
> "label": "string"
> }
> ]
>}'
202Accepted
1{
2 "async_request": {
3 "async_request_id": "string",
4 "async_request_url": "string",
5 "state": "string",
6 "source": "string",
7 "created_at": "2024-01-15T09:30:00Z",
8 "processed_at": "2024-01-15T09:30:00Z",
9 "error_message": "string"
10 }
11}
Update a client data list using its external ID. Update a client data list asynchronously using your external ID for the list. The external ID is set by you. The operation is queued and the response includes an async request you can poll for completion.
Was this page helpful?
Previous

Request a file upload

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

external_idstringRequired

Request

This endpoint expects an object.
data_list_optionslist of objectsRequired
Array of options to update in the data list

Response

async_requestobject
The asynchronous request object. This object represents a request that has been submitted for further background processing.